Std ViewIvStereoInterleavedRows: Difference between revisions

From FreeCAD Documentation
(Removed 'In Progress'.)
mNo edit summary
 
(2 intermediate revisions by 2 users not shown)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{Docnav
{{Docnav
|[[Std_ViewIvStereoQuadBuff|Std ViewIvStereoQuadBuff]]
|[[Std_ViewIvStereoQuadBuff|ViewIvStereoQuadBuff]]
|[[Std_ViewIvStereoInterleavedColumns|Std ViewIvStereoInterleavedColumns]]
|[[Std_ViewIvStereoInterleavedColumns|ViewIvStereoInterleavedColumns]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvStereoQuadBuff.svg
|IconL=Std_ViewIvStereoQuadBuff.svg
Line 11: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewIvStereoInterleavedRows
|Name=Std ViewIvStereoInterleavedRows
Line 18: Line 20:
}}
}}


==Description==
==Description== <!--T:3-->


<!--T:4-->
The '''Std ViewIvStereoInterleavedRows''' command changes the active [[3D_view|3D view]] to interleaved rows stereo view mode. To use this stereo mode a special graphics card, a special display and [https://en.wikipedia.org/wiki/Polarized_3D_system glasses with polarized lenses] are requires.
The '''Std ViewIvStereoInterleavedRows''' command changes the active [[3D_view|3D view]] to interleaved rows stereo view mode. To use this stereo mode a special graphics card, a special display and [https://en.wikipedia.org/wiki/Polarized_3D_system glasses with polarized lenses] are requires.


==Usage==
==Usage== <!--T:5-->


<!--T:6-->
# Select the {{MenuCommand|View → Stereo → [[Image:Std_ViewIvStereoInterleavedRows.svg|16px]] Stereo interleaved Rows}} option from the menu.
# Select the {{MenuCommand|View → Stereo → [[Image:Std_ViewIvStereoInterleavedRows.svg|16px]] Stereo interleaved Rows}} option from the menu.


==Preferences==
==Preferences== <!--T:7-->


<!--T:8-->
* The eye to eye distance can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes}}. See [[Preferences_Editor#3D_View|Preferences Editor]].
* The eye to eye distance can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes}}. See [[Preferences_Editor#3D_View|Preferences Editor]].


==Scripting==
==Scripting== <!--T:9-->


<!--T:10-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:11-->
To change the view to interleaved rows stereo use the {{incode|setStereoType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To change the view to interleaved rows stereo use the {{incode|setStereoType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.


Line 45: Line 52:
<translate>
<translate>



<!--T:12-->
{{Docnav
{{Docnav
|[[Std_ViewIvStereoQuadBuff|Std ViewIvStereoQuadBuff]]
|[[Std_ViewIvStereoQuadBuff|ViewIvStereoQuadBuff]]
|[[Std_ViewIvStereoInterleavedColumns|Std ViewIvStereoInterleavedColumns]]
|[[Std_ViewIvStereoInterleavedColumns|ViewIvStereoInterleavedColumns]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvStereoQuadBuff.svg
|IconL=Std_ViewIvStereoQuadBuff.svg

Latest revision as of 14:53, 6 January 2021

Std ViewIvStereoInterleavedRows

Menu location
View → Stereo → Stereo interleaved Rows
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std ViewIvStereoRedGreen, Std ViewIvStereoQuadBuff, Std ViewIvStereoInterleavedColumns, Std ViewIvStereoOff

Description

The Std ViewIvStereoInterleavedRows command changes the active 3D view to interleaved rows stereo view mode. To use this stereo mode a special graphics card, a special display and glasses with polarized lenses are requires.

Usage

  1. Select the View → Stereo → Stereo interleaved Rows option from the menu.

Preferences

  • The eye to eye distance can be changed in the preferences: Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to interleaved rows stereo use the setStereoType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setStereoType('InterleavedRows')
FreeCADGui.ActiveDocument.ActiveView.getStereoType()